#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - libout123 preinstallation
#
# Creation   :  2020-12-14 mr
# Last update:  2020-12-14 mr
#
# Copyright (c) 2020 Marcus Roeckrath, marcus.roeckrath(at)gmx(dot)de
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

installed=$(eisman check libmpg123 3.1.0)

if [ "${installed}" = "new" ]
then
    if [ -f /etc/filelist.d/libmpg123-files.txt ]
    then
        sed -i '/libsyn123\.so\./d' /etc/filelist.d/libmpg123-files.txt
    fi
fi

exit 0

# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
